Skip to main content
GET
/
check-in
/
calendar
/
patient-status
Get Patient Status
curl --request GET \
  --url https://api.decodahealth.com/check-in/calendar/patient-status \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
[
  {
    "event": {
      "id": "<string>",
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "locationId": "<string>",
      "attendees": [],
      "serviceNames": []
    },
    "checklist": [
      {
        "id": "<string>",
        "eventId": "<string>",
        "name": "<string>",
        "optional": true,
        "position": 123,
        "serviceId": "<string>",
        "type": "FILLED_FORM",
        "completedDate": "2023-11-07T05:31:56Z",
        "completedByUser": {
          "id": "<string>",
          "type": "PROVIDER",
          "firstName": "<string>",
          "lastName": "<string>",
          "phoneNumber": "<string>",
          "email": "<string>",
          "locationId": "<string>"
        }
      }
    ]
  }
]

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

location_ids
string[] | null
timezone
string | null

Response

Successful Response

event
PatientStatusEventTiny · object
required
checklist
AppointmentChecklistItem · object[]
required